Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.query
Class SQLServerSQLObject

    java.lang.Object
      com.sun.mdm.index.query.SQLServerSQLObject

public class SQLServerSQLObject
extends java.lang.Object

supports SQL server specifics query syntax

Constructor Summary
`SQLServerSQLObject()`

Method Summary
`(package private) static java.lang.String` | `createJoin(java.lang.String pTable, java.lang.String[] pk, java.lang.String sTable, java.lang.String[] fkey, boolean outerJoin)` joins using non-ansi SQL
`(package private) static java.lang.StringBuffer` | `createSQL(java.lang.StringBuffer selectbuf, java.lang.StringBuffer fromTable, java.lang.StringBuffer joinbuf, java.lang.StringBuffer conditionbuf, int maxRows, java.lang.String hint)` creates SQL statement.
`(package private) static boolean` | `isBlank(java.lang.String s)` is the String blank

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLServerSQLObject

    public SQLServerSQLObject()

Method Detail

### createJoin

    static java.lang.String createJoin(java.lang.String pTable,
                                       java.lang.String[] pk,
                                       java.lang.String sTable,
                                       java.lang.String[] fkey,
                                       boolean outerJoin)

  joins using non-ansi SQL

  Parameters:
    `pTable` -
    `pk` -
    `sTable` -
    `fkey` -
    `outerJoin` -
  Returns:
    join String

### createSQL

    static java.lang.StringBuffer createSQL(java.lang.StringBuffer selectbuf,
                                            java.lang.StringBuffer fromTable,
                                            java.lang.StringBuffer joinbuf,
                                            java.lang.StringBuffer conditionbuf,
                                            int maxRows,
                                            java.lang.String hint)

  creates SQL statement.

  Parameters:
    `selectbuf` - select statement
    `fromTable` - for ansi sql, fromTable is null
    `joinbuf` - join clause. for ansi includes table names
    `conditionbuf` - where clause
    `maxRows` - if >0, use it in select query
    `hint` - , if non-empty use it as OPTION hint
  Returns:

### isBlank

    static boolean isBlank(java.lang.String s)

  is the String blank

  Parameters:
    `s` -
  Returns:

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.